Package org.apache.sis.referencing

## Class GeodeticException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - GeodeticException

- All Implemented Interfaces:
    `Serializable`

      public class GeodeticException
      extends RuntimeException

  Unchecked exception thrown when an error occurred while computing a geodetic value. This exception may be used in contexts where a checked exception can not be thrown. This exception typically has a `FactoryException` or `TransformException` as its cause.
  Since:
    1.0
  See Also:
    `GeodeticCalculator`, Serialized Form

  Defined in the `sis-referencing` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeodeticException()` | Constructs a new exception with no message.
    `GeodeticException​(String message)` | Constructs a new exception with the specified detail message.
    `GeodeticException​(String message, Throwable cause)` | Constructs a new exception with the specified detail message and cause.
    `GeodeticException​(Throwable cause)` | Constructs a new exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GeodeticException

          public GeodeticException()

      Constructs a new exception with no message.

    - #### GeodeticException

          public GeodeticException​(String message)

      Constructs a new exception with the specified detail message.
      Parameters:
        `message` - the detail message, or `null` if none.

    - #### GeodeticException

          public GeodeticException​(Throwable cause)

      Constructs a new exception with the specified cause.
      Parameters:
        `cause` - the cause, or `null` if none.

    - #### GeodeticException

          public GeodeticException​(String message,
                                   Throwable cause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message, or `null` if none.
        `cause` - the cause, or `null` if none.